--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Ask a question. Returns a true for yes, false for no. If not connected to a tty, raises an exception if default is nil, otherwise returns default.
full_name: Gem::StreamUI#ask_yes_no
is_singleton: false
name: ask_yes_no
params: (question, default=nil)
visibility: public
